#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define			mname	%(echo %{name} | cut -d '-' -f1)
%define			sname	%(echo %{name} | cut -d '-' -f2)
%define			mvers	1.0

#-----------------------------------------------------------------------------
Name		:	mypaint-brushes
Version		:	1.3.1
Release		:	16.2.0.rel%{?dist}
Summary		:	Library for making brush strokes

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	CC0
URL		:	https://github.com/mypaint/mypaint-brushes/releases/download/

Source0		:	%{name}-%{version}.tar.xz
#-----------------------------------------------------------------------------
BuildRequires	:	make

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
This package contains brush files for use with MyPaint
and other programs.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%license COPYING
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/classic/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/classic/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/deevad/readme.txt
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/deevad/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/deevad/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/experimental/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/experimental/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/kaerhon_v1/ReadMe.txt
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/kaerhon_v1/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/kaerhon_v1/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/ramon/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/ramon/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/tanda/*.myb
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/tanda/*.png
%{_datadir}/%{mname}-data/%{mvers}/%{sname}/order.conf

#=============================================================================
%package		devel

Summary		:	Files for developing with mypaint-brushes
License		:	GPLv2+

#-----------------------------------------------------------------------------
BuildRequires	:	pkg-config

Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains a pkgconfig file which makes it
easier to develop programs using these brush files.

#-----------------------------------------------------------------------------
%files			devel
%license COPYING
%{_datadir}/pkgconfig/%{name}-%{mvers}.pc


#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure							\
	--prefix=%{_prefix}					\
	--sysconfdir=%{_sysconfdir}				\
	--exec-prefix=%{_exec_prefix}				\
	--sbindir=%{_sbindir}					\
	--mandir=%{_mandir}					\
	--libdir=%{_libdir}					\
	--datadir=%{_datadir}					\
	--infodir=%{_infodir}					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
